package com.dla.dda.domain.contrato;

import java.io.Serializable;
import java.util.List;

public class ContratoDDA implements Serializable {

	private static final long serialVersionUID = 1L;

	private String numeroContrato;
	private Integer tipoContrato;
	private Long idEstudio;
	private String fechaInicio;
	private String fechaFin;
	private Long idApartado;
	private String fechaDDA;
	// Este contrato es el que viene de DDA
	private Long idCtoDDA;

	private Long idContratoOriginal;

	private Integer pctjeInflacion;

	private FeesDDA feesDDA;
	private List<TituloDDA> tituloDDA;

	public String getNumeroContrato() {
		return numeroContrato;
	}

	public void setNumeroContrato(String numeroContrato) {
		this.numeroContrato = numeroContrato;
	}

	public Integer getTipoContrato() {
		return tipoContrato;
	}

	public void setTipoContrato(Integer tipoContrato) {
		this.tipoContrato = tipoContrato;
	}

	public Long getIdEstudio() {
		return idEstudio;
	}

	public void setIdEstudio(Long idEstudio) {
		this.idEstudio = idEstudio;
	}

	public String getFechaInicio() {
		return fechaInicio;
	}

	public void setFechaInicio(String fechaInicio) {
		this.fechaInicio = fechaInicio;
	}

	public String getFechaFin() {
		return fechaFin;
	}

	public void setFechaFin(String fechaFin) {
		this.fechaFin = fechaFin;
	}

	public Long getIdApartado() {
		return idApartado;
	}

	public void setIdApartado(Long idApartado) {
		this.idApartado = idApartado;
	}

	public Long getIdCtoDDA() {
		return idCtoDDA;
	}

	public void setIdCtoDDA(Long idCtoDDA) {
		this.idCtoDDA = idCtoDDA;
	}

	public Integer getPctjeInflacion() {
		return pctjeInflacion;
	}

	public void setPctjeInflacion(Integer pctjeInflacion) {
		this.pctjeInflacion = pctjeInflacion;
	}

	public FeesDDA getFeesDDA() {
		return feesDDA;
	}

	public void setFeesDDA(FeesDDA feesDDA) {
		this.feesDDA = feesDDA;
	}

	public List<TituloDDA> getTituloDDA() {
		return tituloDDA;
	}

	public void setTituloDDA(List<TituloDDA> tituloDDA) {
		this.tituloDDA = tituloDDA;
	}

	public Long getIdContratoOriginal() {
		return idContratoOriginal;
	}

	public void setIdContratoOriginal(Long idContratoOriginal) {
		this.idContratoOriginal = idContratoOriginal;
	}

	
	public String getFechaDDA() {
		return fechaDDA;
	}

	public void setFechaDDA(String fechaDDA) {
		this.fechaDDA = fechaDDA;
	}

	@Override
	public String toString() {
		return "ContratoDDA [numeroContrato=" + numeroContrato
				+ ", tipoContrato=" + tipoContrato + ", idEstudio=" + idEstudio
				+ ", fechaInicio=" + fechaInicio + ", fechaFin=" + fechaFin
				+ ", idApartado=" + idApartado + ", fechaDDA=" + fechaDDA
				+ ", idCtoDDA=" + idCtoDDA + ", idContratoOriginal="
				+ idContratoOriginal + ", pctjeInflacion=" + pctjeInflacion
				+ ", feesDDA=" + feesDDA + ", tituloDDA=" + tituloDDA + "]";
	}

	

}
